怎么发
用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。
curl -X POST "https://api.silklinedata.com/v1/zhihu/relatedArticles" \
-H "Authorization: Bearer $SILKLINE_KEY" \
-H "Content-Type: application/json" \
-d '{"limit":5,"articles":["669214677"]}'import os, requests
response = requests.post(
"https://api.silklinedata.com/v1/zhihu/relatedArticles",
headers={"Authorization": "Bearer " + os.environ["SILKLINE_KEY"]},
json={
"limit": 5,
"articles": ["669214677"],
},
)
answer = response.json()
print(answer["data"], answer["meta"]["charged_usd"])const response = await fetch("https://api.silklinedata.com/v1/zhihu/relatedArticles", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({
"limit": 5,
"articles": [
"669214677"
]
}),
});
const { data, cursor, meta } = await response.json();
console.log(data, meta.charged_usd);返回什么
这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。
200 OK · 取数日期 2026-11-09
{
"data": [
{
"type": "article",
"articleId": "24803672",
"url": "https://zhuanlan.zhihu.com/p/24803672",
"title": "又被父母逼着返乡工作了吧?!",
"text": null,
"excerpt": "父母在,不远游!无数父母用这个所谓的…",
"voteupCount": 20,
"commentCount": null,
"favoriteCount": null,
"createdAt": "2017-01-10T02:10:03Z",
"updatedAt": "2017-01-10T02:10:03Z",
"imageUrl": "https://picx.zhimg.com/v2-4cc88e957c3…",
"topics": [],
"author": "<masked>",
"authorId": "<masked>",
"authorUrlToken": "<mas…",
"authorAvatar": "<masked>",
"authorHeadline": null,
"authorGender": "<masked>",
"authorFollowerCount": null,
"authorVerification": null,
"authorIpLocation": null,
"sourceArticle": "669214677"
},
{
"type": "article",
"articleId": "441974436",
"url": "https://zhuanlan.zhihu.com/p/44197443…",
"title": "有多少像我一样,想回家乡,家乡却没有…",
"text": null,
"excerpt": "谁不少年梦江湖,梦醒时分已茫然。十年…",
"voteupCount": 19,
"commentCount": null,
"favoriteCount": null,
"createdAt": "2021-12-06T13:55:27Z",
"updatedAt": "2021-12-06T13:55:27Z",
"imageUrl": null,
"topics": [],
"author": "<masked>",
"authorId": "<masked>",
"authorUrlToken": "<mas…",
"authorAvatar": "<masked>",
"authorHeadline": "<masked>",
"authorGender": "<masked>",
"authorFollowerCount": null,
"authorVerification": null,
"authorIpLocation": null,
"sourceArticle": "669214677"
}
],
"cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
"meta": {
"request_id": "req_01JD8Q…",
"charged_usd": "0.007180",
"balance_usd": "9.875000",
"items": 2
}
}字段 23
| 字段 | 类型 | 示例值 |
|---|---|---|
| type | string | article |
| articleId | string | 24803672 |
| url | string | https://zhuanlan.zhihu.com/p/24803672 |
| title | string | 又被父母逼着返乡工作了吧?! |
| text | null | null |
| excerpt | string | 父母在,不远游!无数父母用这个所谓的名人名言作为金科玉律强加在子女身上,想尽办法软硬兼施把子女拴在身边,在各种比非洲好,… |
| voteupCount | number | 20 |
| commentCount | null | null |
| favoriteCount | null | null |
| createdAt | string | 2017-01-10T02:10:03Z |
| updatedAt | string | 2017-01-10T02:10:03Z |
| imageUrl | string | https://picx.zhimg.com/v2-4cc88e957c3b9c3512462ee84327b108_7… |
| topics | array | [] |
| author | string | <masked> |
| authorId | string | <masked> |
| authorUrlToken | string | <masked> |
| authorAvatar | string | <masked> |
| authorHeadline | null | null |
| authorGender | string | <masked> |
| authorFollowerCount | null | null |
| authorVerification | null | null |
| authorIpLocation | null | null |
| sourceArticle | string | 669214677 |
参数 2
| 参数名 | 类型 | 必填 | 说明 | 示例 |
|---|---|---|---|---|
| limit | integer | 否 | 返回的记录条数,1 到 100。一次请求返回的条数不会超过这个数。 | 5 |
| articles | array | 是 | 文章链接(https://zhuanlan.zhihu.com/p/<id>)或文章 ID。返回知乎在每篇文章旁推荐的文章。 | ["669214677"] |
翻页
把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。
JavaScript
const params = {"articles":["669214677"]};
const records = [];
let cursor = null;
do {
const response = await fetch("https://api.silklinedata.com/v1/zhihu/relatedArticles", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
});
const answer = await response.json();
records.push(...answer.data);
cursor = answer.cursor;
} while (cursor);
console.log(records.length);一次请求花多少
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。
这个接口一页最多 10 条,每页最低收费 $0.001583;要 100 条的请求会取 10 页。
- 1 条:最多 $0.00359
- 20 条:最多 $0.0718
- 100 条:最多 $0.359
返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。
常见问题
「相关文章」要传哪些参数?
必填:articles。另外都可以传 limit(1 到 100)。
一次请求最多返回多少条?
每次请求最多 100 条(limit 1 到 100)。每页最多 10 条,要 100 条时一次请求取 10 页。
能接着往后取吗?
能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。
怎么收费?
每条 记录 $0.00359。每页最低收费 $0.001583:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.359。
请求失败或者没有结果时怎么收费?
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。